Bug 534610 - (RHQ-1390) the installer should fail the connection test if the database is not supported
the installer should fail the connection test if the database is not supported
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Pavel Kralik
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 12:58 EST by John Mazzitelli
Modified: 2013-04-30 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhq_1390_logs.zip (56.51 KB, application/zip)
2009-01-28 11:11 EST, Pavel Kralik
no flags Details

  None (edit)
Description John Mazzitelli 2009-01-22 12:58:00 EST
Currently, the installer will test the database connection by simply making sure it can connect to it.

We should also have it verify that the version of the database it is connecting to is supported.  If it is not supported, the test-connection should fail.

This will prohibit people from being able to install on an unsupported database (which will cause errors later on during runtime - see RHQ-1389 as an example).
Comment 1 John Mazzitelli 2009-01-22 13:00:07 EST
When you click the Test Connection button or when you press Install! button, we not only check that we can connect to the database but we also check the version/vendor of the database and make sure it is not an unsupported version.
Comment 2 Pavel Kralik 2009-01-28 09:50:54 EST
I installed JON with unsuported version of postgres DB. I pressed both the Test Connection and Install! button. The installation did not fail but finished with success.

RHEL5.2, x86_64, PostgreSQL 8.1.11, JON RHQ SVN rev# 2733
Comment 3 John Mazzitelli 2009-01-28 10:25:53 EST
can you give me all the log files that were produced (in the <install>/logs) directory -just zip them up and attach the zip file.
Comment 4 Pavel Kralik 2009-01-28 11:11:09 EST
Zipped <INSTALL_DIR>/logs/*.* files.
Comment 5 Pavel Kralik 2009-01-28 11:14:29 EST
I added requested <INSTALL_DIR>/logs/*.* files. 
Comment 6 John Mazzitelli 2009-01-28 15:30:31 EST
found the problem - it was a very subtle yet potentially nasty bug with an internal cache inside db factory. this is fixed. also had to fix some version checking code in the db factory.

svn rev 2807
Comment 7 Pavel Kralik 2009-02-04 07:59:55 EST
I retested the installation process with supported/unsupported instances of postgres/oracle databases. It worked as expected.

RHEL5.3, x86_64, Unsupported: Oracle9i EE/PostgreSQL 8.1.11, Supported: Oracle 10g XE/PostgreSQL8.2.4, JON RHQ SVN rev# 2894
Comment 8 Red Hat Bugzilla 2009-11-10 15:31:55 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1390
Imported an attachment (id=368532)

Note You need to log in before you can comment on or make changes to this bug.